Bug 1282168 - [RFE] ability to choose provisioning network and manage network also hypervisor when we deploy in vmware
[RFE] ability to choose provisioning network and manage network also hypervi...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.1
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-11-15 04:05 EST by Mario Gamboa
Modified: 2016-11-15 01:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Gamboa 2015-11-15 04:05:21 EST
Description of problem:
We migrate from katello to satellite and we notice is missing 1 feature that would be nice to have still missing in katello but the another one is there

Satellite need to allow us decide who is going to be the provisioning netwrok and who is going to be the manage network as the same of katello 2.3 also would be great if we can choose in which hypervisor can we deploy the machine this request is because at this moment we have a issue our servers are full of memory and satellite try to deploy in one that is already full , i can choose another hypervisor that have enough memory and i need to move some machines from that hypervisor to allow the deployment 



Version-Release number of selected component (if applicable): satellite 6.1.1



Expected results:
ability to choose network configuration interface and hypervisor.

Additional info:
Comment 3 Bryan Kearney 2016-01-14 14:52:18 EST
Mario, can you please check out the networking changes which went into Foreman 1.8 to see if this meets you need. We believe this addresses your concerns with the expception of the actual hypervisor. I would expect you to not want Satellite to choose that, and rather have the virt-fabric select this.
Comment 4 Mario Gamboa 2016-01-17 18:24:12 EST
Well that is the problem Bryan at this moment i make a test lab i just make 2 hypervisor 1 with 12gb and another one with 32  the was as follow:

Create a new vm with 8gb fine goes into the first hypervisor with 12gb of ram
Create another vm with 12gb fail no enough memory left mean try again to create in the first hypervisor

create a new vm with 3gb  fail no enough memory left again is trying to create in the same hypervisor

create a new vm with 5gb fail no enough memory left again same issue

restart katello-services

Try again 

Create a new vm with 10 gb and now is create in the second hypersor with 32gb without issues

create a new vm with 20 gb is created in the second hypervisor with 32gb

create a new 3gb vm and fail no enough memory resources mean the satellite is not trying to get the first hypervisor that still have available memory for deploy

restart katello-services 

try again the same test 3gb vm  now is success and is created in the first hypervisor 

for me is looks like the satellite never try to choose by resource the hypervisor is just attach to one at the time and every time i restart katello-services is jumping around and get another one
Comment 5 Mario Gamboa 2016-01-17 18:27:11 EST
The feature of network is very solid on foreman 1.9 and is really great because also we can use ssh remote command execution but if redhat is going to use 1.8 that fix the issue of network but still until now the problem to choose a hypervisor with resources when need it
Comment 6 Bryan Kearney 2016-01-26 12:51:52 EST
Mario, we will be shipping 6.2 with foreman 1.11. Do you feel this version of foreman will meet the goal of this RFE?
Comment 7 Mario Gamboa 2016-01-26 19:09:15 EST
I don't know if with foreman 1.11 solve the issues because is no at this moment available to tell you what i can tell you is with 1.10 is ok for me in the case of the network issue but still doesn't have the option to choose the resource in case the resource is full (hypervisor) and foreman is fail to create a new vm

Note You need to log in before you can comment on or make changes to this bug.